Skip to main content
GET
/
projects
/
{projectId}
/
variables
Error
A valid request URL is required to generate request examples
[
  {
    "id": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "name": "<string>",
    "attributes": {},
    "is_json": true,
    "is_sensitive": true,
    "visible_build": true,
    "visible_runtime": true,
    "application_scope": [
      "<string>"
    ],
    "value": "<string>"
  }
]

Authorizations

Authorization
string
header
required

Path Parameters

projectId
string
required

Response

default - application/json
id
string
required

The identifier of ProjectVariable

created_at
string<date-time> | null
required

The creation date

updated_at
string<date-time> | null
required

The update date

name
string
required

Name of the variable

attributes
Arbitrary attributes · object
required

Arbitrary attributes attached to this resource

is_json
boolean
required

The variable is a JSON string

is_sensitive
boolean
required

The variable is sensitive

visible_build
boolean
required

The variable is visible during build

visible_runtime
boolean
required

The variable is visible at runtime

application_scope
string[]
required

Applications that have access to this variable

value
string

Value of the variable